{
    attributes = (
        {
            columnName = "CODE_ENVELOPPE"; 
            externalType = VARCHAR2; 
            name = code; 
            valueClassName = NSString; 
            width = 10; 
        }, 
        {
            allowsNull = N; 
            columnName = "ID_BUD_ENVELOPPE"; 
            externalType = NUMBER; 
            name = idBudEnveloppe; 
            prototypeName = id; 
        }, 
        {
            columnName = "LL_ENVELOPPE"; 
            externalType = VARCHAR2; 
            name = libelle; 
            valueClassName = NSString; 
            width = 500; 
        }
    ); 
    attributesUsedForLocking = (code, idBudEnveloppe, libelle); 
    className = "org.cocktail.fwkcktlgfceos.server.metier.EOEnveloppeBudgetaire"; 
    classProperties = (code, libelle); 
    externalName = "GFC.BUD_ENVELOPPE"; 
    fetchSpecificationDictionary = {}; 
    name = "FwkGFCEos_EnveloppeBudgetaire"; 
    primaryKeyAttributes = (idBudEnveloppe); 
}
